Page MenuHomePhabricator

Fix database-reports tool
Closed, ResolvedPublic2 Story Points

Description

After migration to Stretch engine, the database-reports tool doesn't work anymore. This is because the python-mwclient is not available across the grid. I setup a virtualenv, installed pip and then installed the package.

The remaining task now is to allow cron access within the virtualenv. According to @MaxSem this requires creating python symlinks in the virtualenv.

Event Timeline

Niharika triaged this task as Normal priority.
Restricted Application added subscribers: Danmichaelo, Aklapper. ยท View Herald TranscriptMar 19 2019, 11:20 PM
Niharika set the point value for this task to 2.Mar 19 2019, 11:26 PM
MaxSem claimed this task.Mar 27 2019, 6:02 PM
MaxSem moved this task from Ready to In Development on the Community-Tech-Sprint board.

I've made it work, however GitHub says I don't have a permission to push so can't create a PR. Meanwhile, let's see if cronjobs work.

Deployed instead of live hacks.

dom_walden added a subscriber: dom_walden.

Looking at the revision history of the reports in https://en.wikipedia.org/wiki/User:Community_Tech_bot, I see all the reports have been updated in the last 7 days. I guess that means the cron is working.

Niharika closed this task as Resolved.Apr 18 2019, 8:32 PM
Niharika moved this task from Product sign-off to Done on the Community-Tech-Sprint board.

Thanks Dom!